Table of Contents

## Name

XtBuildEventMask - retrieve a widget's event mask

## Syntax

EventMask XtBuildEventMask(w)
Widget w;

## Arguments

w
  Specifies the widget.

## Description

The XtBuildEventMask function returns the event mask representing the logical OR of all event masks for event handlers registered on the widget with XtAddEventHandler and all event translations, including accelerators, installed on the widget. This is the same event mask stored into the XSetWindowAttributes structure by XtRealizeWidget and sent to the server when event handlers and translations are installed or removed on the realized widget.

## See Also

XtAddEventHandler(3Xt)
X Toolkit Intrinsics - C Language Interface
Xlib - C Language X Interface

Table of Contents

- Name
- Syntax
- Arguments
- Description
- See Also